[android-components](../../index.md) / [mozilla.components.browser.menu2](../index.md) / [MenuController](./index.md)

# MenuController

`class MenuController` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/menu2/src/main/java/mozilla/components/browser/menu2/MenuController.kt#L11)

Controls a popup menu composed of MenuCandidate objects.

### Parameters

`visibleSide` - Sets the menu to open with either the start or end visible.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `MenuController(visibleSide: `[`Side`](../-side/index.md)` = Side.START)`<br>Controls a popup menu composed of MenuCandidate objects. |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
